#!/bin/sh
if [ $# -lt 1 ]; then
	echo "Usage: set_wep.sh [sta_device] wep_key"
	echo '  "sta_device" defaults to sta0'
	exit 1
fi
if [ $# -lt 2 ]; then
	device="sta0"
	key="$1"
else
	device="$1"
	key="$2"
fi

../utils/dscape_crypt_conf -1tp "$device" "ff:ff:ff:ff:ff:ff" WEP "$key"
