#!/bin/sh
if [ $# -lt 1 ]; then
	echo "Usage: set_wpa.sh [sta_device] wpa_conf_file"
	echo '  "sta_device" defaults to sta0'
	echo '  "wpa_conf_file" is path to wpa_supplicant.conf'
	exit 1
fi
if [ $# -lt 2 ]; then
	device="sta0"
	conf="$1"
else
	device="$1"
	conf="$2"
fi

../wpa_supplicant/wpa_supplicant -i "$device" -c "$conf" -D dscape
